package com.muyu.common.cache.config;

import com.muyu.common.core.text.StrFormatter;

/**
 * 主键基础
 * @ClassName PrimaryKeyBasic
 * @Description PrimaryKeyBasic:类的描述
 * @Date 2024/9/30 0:15
 * @author MingWei.Zong(微醺)
 */
public interface PrimaryKeyBasic <K>{
    /**
     * key 前缀
     */
    public String keyPre();

    /**
     * key 后缀
     */
    public String keyPost();

    /**
     * 编码
     * @param key 缓存键
     * @return 装修键
     */
    public default  String encode(K key){
        return StrFormatter.format("{}:vin{}:{}", keyPre(), key.toString(), keyPost());
    }

    /**
     * 解码 Key
     * @param key 解码后的key
     * @return
     */
    public K decode(String key);














}
